Bug 188555 - incorrect call to chkconfig
Summary: incorrect call to chkconfig
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-11 04:55 UTC by Andrew Ziem
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 19:06:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Ziem 2006-04-11 04:55:42 UTC
Description of problem:
The program system-config-authentication (aka authconfig-gtk?) calls chkconfig
incorrectly which is evident by console messages.

Version-Release number of selected component (if applicable):
Latest in Fedora Core 5.

How reproducible:
Always.

Steps to Reproduce:
1. From console, run system-config-authentication
  
Actual results:
Following is printed to console:
chkconfig version 1.3.29 - Copyright (C) 1997-2000 Red Hat, Inc.
This may be freely redistributed under the terms of the GNU Public License.

usage:   chkconfig --list [name]
         chkconfig --add <name>
         chkconfig --del <name>


Expected results:


Additional info:
The following are selections from the strace log:

[pid  2937] execve("/sbin/chkconfig", ["chkconfig", "nscd"], [/* 21 vars */]) = 0
[pid  2937] open("/etc/init.d/nscd", O_RDONLY) = -1 ENOENT (No such file or
directory)
[pid  2937] open("/etc/xinetd.d/nscd", O_RDONLY) = -1 ENOENT (No such file or
directory)

Comment 1 Tomas Mraz 2006-04-12 15:36:06 UTC
The call is correct however the message printed on console by chkconfig when
nscd is not installed should be redirected to /dev/null.


Comment 2 Tomas Mraz 2006-11-22 19:06:36 UTC
Fixed in FC6 authconfig.


Note You need to log in before you can comment on or make changes to this bug.